# DJGPP Makefile for JED

GO32 = C:\djgpp\bin\go32.exe
SLIB = ../../slang/src#
LFLAGS = -L$(SLIB) -lslang -lpc
CFLAGS = -Wall -O -DHAS_MEMSET -DHAS_MEMCPY -DHAS_MEMCMP
CC = gcc
CFILES = buffer.c cmds.c misc.c file.c main.c ins.c\
         sysdep.c screen.c paste.c ledit.c line.c vterm.c search.c text.c\
         keymap.c replace.c window.c undo.c mem.c vfile.c\
	 intrin.c video.c syntax.c
OBJS = buffer.o cmds.o misc.o file.o main.o ins.o\
         sysdep.o screen.o paste.o ledit.o line.o vterm.o search.o text.o\
         keymap.o replace.o window.o undo.o mem.o vfile.o\
	 intrin.o video.o syntax.o

SUFFIXES = .c
.SUFFIXES: $(SUFFIXES)

.c.o:
	$(CC) -c $(CFLAGS) $(CFLAGS1) -DJED -I$(SLIB) $*.c

jed: $(OBJS)
	$(CC) @jed386.rsp $(LFLAGS) -o jed386.386
	coff2exe -s $(GO32) jed386.386

export:
	export -f zip.lis
